#include <stdio.h>
#include <stdlib.h>
long int aps(long int a)
{
    if(a<0)
        return -a;
    return a;
}
int main()
{
    long int x1,y1,x2,y2;
    scanf("%li%li%li%li",&x1,&y1,&x2,&y2);
    if(x1==x2 || y1==y2)
        printf("2");
    else
    {
        if(aps(x1-x2)==aps(y1-y2))
            printf("1");
        else
            printf("0");
    }
}